FMT(1)

NAME
fmt - simple text formatter

SYNOPSIS
fmt [-c] [-s] [-w width | -width] [file ...]

DESCRIPTION
Fmt is a simple text formatter which reads the concatenation of input files (or standard input if none are given) and produces on standard output a version of its input with lines as close to 72 characters long as possible. The spacing at the beginning of the input lines is preserved in the output, as are blank lines and interword spacing.

Fmt is meant to format mail messages prior to sending, but may also be useful for other simple tasks. For instance, within visual mode of the ex editor (e.g. vi) the command

        !}fmt

will reformat a paragraph, evening the lines.

The following options can be used to alter the behavior of fmt:

-c  Select crown margin mode (for tagged paragraphs). Paragraphs are separated by empty lines. The indenting of the first and second line of each paragraph is preserved, and following lines are indented like the second line.

-s  Split lines, but do not join lines (i.e. preserve any newline character found in the input file).

-w width
    Set the length of generated output lines to width characters.

ENVIRONMENT VARIABLES

LANG, LC_ALL
    See locale(7).

LC_CTYPE
    Determines the mapping of bytes to characters, the width of characters, and the set of word-separating characters.

SEE ALSO
nroff(1), mailx(1), vi(1)

NOTES
The program was designed to be simple and fast - for more complex operations, the standard text processors are likely to be more appropriate.

The original version of this program was written by Kurt Shoens.